[openrtm-commit:02025] r839 - trunk/OpenRTM-aist-Java/jp.go.aist.rtm.RTC/installer/resources/Source/examples

openrtm @ openrtm.org openrtm @ openrtm.org
2016年 10月 7日 (金) 11:52:10 JST


Author: win-ei
Date: 2016-10-07 11:52:10 +0900 (Fri, 07 Oct 2016)
New Revision: 839

Added:
   trunk/OpenRTM-aist-Java/jp.go.aist.rtm.RTC/installer/resources/Source/examples/TopicConssoleIn.sh
   trunk/OpenRTM-aist-Java/jp.go.aist.rtm.RTC/installer/resources/Source/examples/TopicConssoleOut.sh
Log:
Added components for tests of \"port connect function of a topic base\". refs #3391

Added: trunk/OpenRTM-aist-Java/jp.go.aist.rtm.RTC/installer/resources/Source/examples/TopicConssoleIn.sh
===================================================================
--- trunk/OpenRTM-aist-Java/jp.go.aist.rtm.RTC/installer/resources/Source/examples/TopicConssoleIn.sh	                        (rev 0)
+++ trunk/OpenRTM-aist-Java/jp.go.aist.rtm.RTC/installer/resources/Source/examples/TopicConssoleIn.sh	2016-10-07 02:52:10 UTC (rev 839)
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+if test "x$RTM_JAVA_ROOT" = "x" ; then
+    echo "Environment variable RTM_JAVA_ROOT is not set."
+    echo "Please specify the OpenRTM-aist installation directory."
+    echo "Abort."
+    exit 1
+fi
+
+. ./search_classpath.func
+export CLASSPATH=`get_classpath`
+java RTMExamples.TopicTest.ConsoleInComp -f RTMExamples/TopicTest/rtc.conf ${1+"$@"}


Property changes on: trunk/OpenRTM-aist-Java/jp.go.aist.rtm.RTC/installer/resources/Source/examples/TopicConssoleIn.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/OpenRTM-aist-Java/jp.go.aist.rtm.RTC/installer/resources/Source/examples/TopicConssoleOut.sh
===================================================================
--- trunk/OpenRTM-aist-Java/jp.go.aist.rtm.RTC/installer/resources/Source/examples/TopicConssoleOut.sh	                        (rev 0)
+++ trunk/OpenRTM-aist-Java/jp.go.aist.rtm.RTC/installer/resources/Source/examples/TopicConssoleOut.sh	2016-10-07 02:52:10 UTC (rev 839)
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+if test "x$RTM_JAVA_ROOT" = "x" ; then
+    echo "Environment variable RTM_JAVA_ROOT is not set."
+    echo "Please specify the OpenRTM-aist installation directory."
+    echo "Abort."
+    exit 1
+fi
+
+. ./search_classpath.func
+export CLASSPATH=`get_classpath`
+java RTMExamples.TopicTest.ConsoleOutComp -f RTMExamples/TopicTest/rtc.conf ${1+"$@"}


Property changes on: trunk/OpenRTM-aist-Java/jp.go.aist.rtm.RTC/installer/resources/Source/examples/TopicConssoleOut.sh
___________________________________________________________________
Added: svn:executable
   + *



More information about the openrtm-commit mailing list